/*******************************************************************************
 * Copyright (c) 2008 Heiko Seeberger and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html.
 * 
 * Contributors:
 *     Heiko Seeberger - initial implementation
 ******************************************************************************/

package org.eclipse.equinox.weaving.demo.hello.internal;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;

public class Activator implements BundleActivator {

    public void start(final BundleContext context) throws Exception {
        System.out.println("Starting Bundle!");
        HelloWorld helloWorld = new HelloWorld(); 
        HelloWorldChild helloWorldChild = new HelloWorldChild();
    }

    public void stop(final BundleContext context) throws Exception {
        System.out.println("Stopping bundle!");
        HelloWorld helloWorld = new HelloWorld(); 
        helloWorld.greet();
        HelloWorldChild helloWorldChild = new HelloWorldChild();
        helloWorldChild.greet();
    }
}
